PDA

View Full Version : Lightwave 9.5?



GoneGuy
12-11-2008, 04:55 PM
Hi, I have fallen a bit behind with Lightwave's recent releases - if 9.5 is ready for the Mac (my PPC) -
1) do I need a copy of 9.3 (or even V8.0?) on my system before I install 9.5?
2) if I decide to install Leopard is 9.5 good on it? (I did read a recent post on Leopard which seems cool)

I'm planning to clean down my system (zero out) and reinstall everything.

Thanks

Chilton
12-11-2008, 05:30 PM
Hi Rawz,

9.5 will run off a thumb drive if that's how you roll. It doesn't require a prior install.

And there are some bugs in Tiger that Apple fixed in Leopard. We're not spending a lot of time testing the heck out of Tiger and LW. Leopard, since it's been out for a year now, is the current weapon of choice.

-Chilton

GoneGuy
12-11-2008, 05:41 PM
Thanks Chilton for your reply.

Is 9.5 still in Beta for the Mac then?

kfinla
12-11-2008, 05:47 PM
Yes there was no LW 9.5.0 release for osx.. 9.3.1 is the last official release.. 9.5.1 for OSX is in Open Beta still..

GoneGuy
12-11-2008, 05:51 PM
Thanks for the replies guys.

Time for a clean down and OS upgrade then at least.

Cheers

rwz

DrStrik9
12-16-2008, 01:53 PM
Does LW 9.3.1 (or whatever) run under Rosetta in Leopard 10.5.5?

Thanks

toby
12-20-2008, 03:22 PM
The Universal Binary version does not run under emulation. The old Mac-port, the CFM version, runs in emulation on any Intel mac.

DrStrik9
12-20-2008, 04:46 PM
the universal binary version does not run under emulation. The old mac-port, the cfm version, runs in emulation on any intel mac.

thanks!